import { ComponentFixture, TestBed } from '@angular/core/testing';

import { UserDetailsComponent } from './user-details.component';
import {ActivatedRouteStub, FooterStubComponent, SidebarStubComponent, TopbarStubComponent, UserServiceStub} from '../../../../testing';
import {ActivatedRoute} from '@angular/router';
import {HttpClient} from '@angular/common/http';
import {HttpClientTestingModule, HttpTestingController} from '@angular/common/http/testing';
import {UserService} from '../../../_services';


describe('UserDetailsComponent', () => {
  let component: UserDetailsComponent;
  let fixture: ComponentFixture<UserDetailsComponent>;
  let httpClient: HttpClient;
  let httpTestingController: HttpTestingController;
  let route: ActivatedRouteStub;

  beforeEach(async () => {
    route = new ActivatedRouteStub();
    route.setParamMap({ id: 'test' });
    await TestBed.configureTestingModule({
      declarations: [
        UserDetailsComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      imports: [HttpClientTestingModule],
      providers: [
        { provide: ActivatedRoute, useValue: route },
        { provide: UserService, useClass: UserServiceStub }
      ]
    })
    .compileComponents();
    httpClient = TestBed.inject(HttpClient);
    httpTestingController = TestBed.inject(HttpTestingController);
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(UserDetailsComponent);
    component = fixture.componentInstance;
    component.user = {
      dateRegistered: 1595537208,
      key: {
        ethereum: [
          '0x51d3c8e2e421604e2b644117a362d589c5434739',
          '0x9D7c284907acbd4a0cE2dDD0AA69147A921a573D'
        ]
      },
      location: {
        external: {},
        latitude: '22.430670',
        longitude: '151.002995'
      },
      selling: [
        'environment',
        'health',
        'transport'
      ],
      vcard: {
        fn: 'Test User',
        tel: [{
          meta: {TYP: 'CELL'},
          value: ['25412345678']
        }],
        version: '3.0'
      }
    };
    component.parsedVcard = component.user.vcard;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
